curl --request PUT \
--url https://api.wsapi.chat/communities/{id}/participants \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--header 'X-Instance-Id: <x-instance-id>' \
--data '
{
"participants": [
"1234567890@s.whatsapp.net"
],
"action": "promote"
}
'
{
"status": 400,
"detail": "invalid request body"
}{
"status": 401,
"detail": "unauthorized"
}{
"status": 403,
"detail": "device not paired"
}{
"status": 503,
"detail": "instance not available"
}Communities
Update community admins
Promote or demote community admins. Requires admin privileges.
Only promote and demote are supported on the community-level endpoint
(they manage the community’s announcement-group admins, which are the
community-wide admins). To add or remove members, do it on one
of the community’s sub-groups: PUT /groups/{subGroupId}/participants.
Community membership is derived from sub-group membership — once a user
is in/out of every sub-group, they are in/out of the community.
PUT
/
communities
/
{id}
/
participants
curl --request PUT \
--url https://api.wsapi.chat/communities/{id}/participants \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--header 'X-Instance-Id: <x-instance-id>' \
--data '
{
"participants": [
"1234567890@s.whatsapp.net"
],
"action": "promote"
}
'
{
"status": 400,
"detail": "invalid request body"
}{
"status": 401,
"detail": "unauthorized"
}{
"status": 403,
"detail": "device not paired"
}{
"status": 503,
"detail": "instance not available"
}Authorizations
Instance or customer-level API key. Either the instance's own API key or the customer's API key is accepted. Must be paired with the X-Instance-Id header to identify the target instance.
Headers
The ID of the WhatsApp instance to use
Path Parameters
Community JID
Body
application/json
Response
Participants updated
⌘I